<?php get_header(); ?>
		<div class="front-wrapper">
			<div id="content">
				<?php if ( get_theme_mod('wpcleangreen_disbale_slider') ):
		                    $slider_class = 'slider-hide';
		                    else:
		                    $slider_class = '';
		                    endif;
            	?>
				<div id="slide-wrap" class="<?php echo esc_attr( $slider_class ); ?>">
					<div id="inner-content" class="wrap cf">
			        	
			        	<?php 
			                $args = array(
			                    'posts_per_page' => 10,
								'post_status' => 'publish',
			                    'post__in' => get_option("sticky_posts")
			                );
			                $fPosts = new WP_Query( $args );
			             ?>
						  
						<?php if ( $fPosts->have_posts() ) : ?>
	            
		           			<div class="cycle-slideshow" <?php 
							  	if ( get_theme_mod('wpcleangreen_slider_effect') ) :
									echo 'data-cycle-fx="' . wp_kses_post( get_theme_mod('wpcleangreen_slider_effect') ) . '" data-cycle-tile-count="10"';
								else:
									echo 'data-cycle-fx="scrollHorz"';
								endif;
							   	?> data-cycle-slides="> div.slides" <?php
			                  	if ( get_theme_mod('wpcleangreen_slider_timeout') ) :
									$slider_timeout = wp_kses_post( get_theme_mod('wpcleangreen_slider_timeout') );
									echo 'data-cycle-timeout="' . $slider_timeout . '000"';
								else:
									echo 'data-cycle-timeout="5000"';
								endif;
							  	?> data-cycle-prev="#sliderprev" data-cycle-next="#slidernext">
		            

			            		<?php while ( $fPosts->have_posts() ) : $fPosts->the_post();  ?>
						 
									<div class="slides">
						              
										<div id="post-<?php the_ID(); ?>" <?php post_class('post-theme'); ?>>

											<?php $image_full = wpcleangreen_catch_that_image(); $gallery_full = wpcleangreen_catch_gallery_image_full(); ?>
											<?php if ( has_post_thumbnail()) : ?>
												<div class="slide-thumb"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail( "full" ); ?></a></div>
											
											<?php elseif(has_post_format('image') && !empty($image_full)) : ?>
												<div class="slide-thumb"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php echo $image_full; ?></a></div>
											
											<?php elseif(has_post_format('gallery') && !empty($gallery_full)) : ?>  
												<div class="slide-thumb"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php echo $gallery_full; ?></a></div>
											
											<?php else : ?>
												<div class="slide-noimg"><p><?php _e('No featured image set for this post.', 'wp-clean-green') ?></p></div>
											<?php endif;  ?>

										</div>

										<div class="slide-copy-wrap">
											<div class="slide-copy">
												<div class="category-lists">
													<?php $category_list = get_the_category_list( __( ' ', 'wp-clean-green' ) ); printf( __('%s', 'wp-clean-green'), $category_list); ?>
													<div class="clear"></div> 
												</div> 
												<h2 class="slide-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wp-clean-green' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
											</div>
										</div>
						              
						            </div>
			    
			 					<?php endwhile; ?>
					            
						            <div class="slidernav">
						                <a id="sliderprev" href="#" title="<?php _e('Previous', 'wp-clean-green'); ?>"><?php _e('&#9664;', 'wp-clean-green'); ?></a>
						                <a id="slidernext" href="#" title="<?php _e('Next', 'wp-clean-green'); ?>"><?php _e('&#9654;', 'wp-clean-green'); ?></a>
						            </div>

				            </div>

			            <?php endif; ?>
			            
			          	<?php wp_reset_postdata(); ?>

		      		</div> <!-- inner-content -->
		     	</div> <!-- slider-wrap -->

				<div class="wrap cf">
					<?php
            		// get all the categories from the database
            		$cats = get_categories();
 
                	// loop through the categries
                	foreach ($cats as $cat) {
                    // setup the cateogory ID
	                    $cat_id= $cat->term_id;
	                    ?>
	                    <?php 
							$background_image =get_background_image();
							if(!empty($background_image)) :
							$has_background = 'has-backgroud';
							
						?>
	                    <div class="category-items <?php echo $has_background; ?>">
		                <?php else : ?>
		                <div class="category-items">
		                <?php endif; ?>
	                    <?php $category_link = get_category_link( $cat_id ); ?>
		                  <h2 class="category-title"><a href="<?php echo esc_url( $category_link ); ?>"><?php echo $cat->name; ?></a></h2>
		                    
		                    <div class="inner-category-items">
			                   
			                    <?php $count = 0; ?>
			                    <?php
			                    $sticky = get_option( 'sticky_posts' );
								$args2= array('category__in' => array($cat_id),'posts_per_page' => 4);
			                    $cat_query = new WP_Query($args2);
			                    if ( $cat_query->have_posts()) : while ($cat_query->have_posts()) : $cat_query->the_post(); ?>
				                    <?php $count++; ?>
				                    <?php if ($count == 1) : ?>
					 					<div class="first-post">
					 						<?php get_template_part( 'home-layout/post', 'big' ); ?>
					                	</div>
					                	<div class="category-posts">
					                	<ul>

					                <?php else : ?>

					                	<li>
					                       	<?php get_template_part( 'home-layout/post', 'small' ); ?>
					                	</li>
					                 <?php endif; ?>
				                 <?php endwhile; endif; // done our wordpress loop. Will start again for each category ?>
				                <?php wp_reset_postdata(); ?>
				                 	</ul>
			                		</div> <!-- category-posts -->
			                		<div class="clear"></div>
			                </div>	<!-- inner-categoy -->
		                </div> <!-- category- items-->
                	<?php } // done the foreach statement ?>
				</div> <!-- inner-content -->
			</div> <!-- content -->
		</div><!-- front-wrapper -->

<?php get_footer(); ?>